import type { ViewTemplate } from '@microsoft/fast-element';
import type { GridPro } from './grid-pro';
/**
 * Get a Design System prefixed The Grid Pro template.
 * @param prefix - The design system prefix to use. Defaults to 'foundation'.
 * @returns A grid Pro template prefixed with the correct design system.
 * @public
 */
export declare const getGridProTemplate: (prefix?: string) => ViewTemplate<GridPro, any>;
/**
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-grid-pro\>
 */
export declare const gridProTemplate: ViewTemplate;
//# sourceMappingURL=grid-pro.template.d.ts.map